Summary: Virtual Router Redundancy Protocol Daemon
Name: vrrpd
Version: 1.0
Release: 1%{?dist}
Group: Applications/System
License: GPLv2+
URL: http://www.imagestream.com/VRRP.html
Source0: %name-1.0.tar.gz
Source1: %name.init
Source2: %name.sysconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: kernel-devel
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/service, /sbin/chkconfig

%description
VRRPd is an implementation of Virtual Router Redundancy Protocol 
as  specified  in rfc2338.  VRRPd  is  interoperable with  other 
RFC-based VRRP implementations, including Cisco and Juniper, and
is included as a standard feature on ImageStream routers.

%prep
%setup -q

%build
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m755 vrrpd %{buildroot}/usr/sbin/vrrpd
%{__install} -Dp -m755 %{SOURCE1} %{buildroot}/etc/rc.d/init.d/vrrpd
%{__install} -Dp -m644 %{SOURCE2} %{buildroot}/etc/sysconfig/vrrpd
%{__install} -Dp -m644 vrrpd.8 %{buildroot}%{_mandir}/man8/vrrpd.8

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/chkconfig --add vrrpd

%preun
if [ $1 -eq 0 ]; then
	/sbin/service vrrpd stop &>/dev/null || :
	/sbin/chkconfig --del vrrpd
fi

%postun
if [ "$1" -ge "1" ] ; then
	/sbin/service vrrpd condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%doc INSTALL FAQ TODO doc/*.txt* Changes
%attr(0600, root, root) %config(noreplace) %{_sysconfdir}/sysconfig/vrrpd
%{_sysconfdir}/rc.d/init.d/vrrpd
%{_sysconfdir}/sysconfig/vrrpd
%{_sbindir}/vrrpd
%{_mandir}/man8/*

%changelog
* Mon May 25 2009 Wilmer Jaramillo M. <wilmer@fedoraproject.org> - 1.0-1
- Initial release of VRRPd
